# docker

<!---MARKER_GEN_START-->
A self-sufficient runtime for containers

### Subcommands

| Name                  | Description                                                                   |
|:----------------------|:------------------------------------------------------------------------------|
| [`attach`](attach.md) | Attach local standard input, output, and error streams to a running container |
| [`buildx`](buildx.md) | Docker Buildx                                                                 |


### Options

| Name           | Type     | Default                       | Description                 |
|:---------------|:---------|:------------------------------|:----------------------------|
| `-H`, `--host` | `string` | `unix:///var/run/docker.sock` | Daemon socket to connect to |


<!---MARKER_GEN_END-->

